## tn5250 0.17.4

=== debian/changelog ===
tn5250 (0.17.4-2) unstable; urgency=low

  * Fix many compiler warnings, especially implicit pointer conversions
    (closes: #561165, #561166).

 -- Carey Evans <carey@debian.org>  Thu, 17 Dec 2009 22:23:00 +1300

tn5250 (0.17.4-1) unstable; urgency=low

  * New upstream version.
  * Stop including patched autoconf files in source package.
  * Add xterm resources to allow font and window size changes.
  * Choose dialog or whiptail at runtime.
  * Fix lintian warnings.

 -- Carey Evans <carey@debian.org>  Sat, 12 Dec 2009 11:24:58 +1300

tn5250 (0.17.3-2) unstable; urgency=low

  * Revert to upstream XTerm keyboard translations for function keys
    (closes: #418731).
  * Update description (OS/400 to i5/OS).
  * Change menu section to Applications/Network/Communication.
  * Update watch file to version 3, using Sourceforge redirector.
  * Rerun autoreconf with etch autotools-dev, etc.

 -- Carey Evans <carey@debian.org>  Tue,  4 Sep 2007 22:27:39 +1200

tn5250 (0.17.3-1) unstable; urgency=low

  * New upstream version from some time ago (closes: #307859).
  * Include fixes from CVS.

 -- Carey Evans <carey@debian.org>  Fri,  9 Jun 2006 21:39:42 +1200

tn5250 (0.16.5-12) unstable; urgency=low

  * Touch generated files in clean, not pre-build, to avoid re-running
    configure.
  * Add watch file for uscan.
  * Autoreconfiscate with latest autotools-dev, etc.

 -- Carey Evans <careye@spamcop.net>  Wed, 16 Jun 2004 01:08:34 +1200

tn5250 (0.16.5-11) unstable; urgency=low

  * Add AM_MAINTAINER_MODE to configure.in to stop running automake, etc.
    unless requested, and regenerate.
  * Touch the generated files in the correct order before building anyway.

 -- Carey Evans <careye@spamcop.net>  Thu,  5 Feb 2004 01:21:04 +1300

tn5250 (0.16.5-10) unstable; urgency=low

  * Replace hard link from tic in /usr/share/terminfo with a symlink
    again.

 -- Carey Evans <careye@spamcop.net>  Tue,  3 Feb 2004 19:43:10 +1300

tn5250 (0.16.5-9) unstable; urgency=low

  * Include a copy of the copyright notice from the source files in
    debian/copyright, and put my changes in the public domain.
  * Use cdbs to build package.
  * Regenerate automake/autoconf files to keep up to date.

 -- Carey Evans <careye@spamcop.net>  Mon,  2 Feb 2004 23:55:46 +1300

tn5250 (0.16.5-8) unstable; urgency=low

  * Reenable menu entry for xt5250.

 -- Carey Evans <careye@spamcop.net>  Thu, 23 Oct 2003 21:03:03 +1300

tn5250 (0.16.5-7) unstable; urgency=low

  * Support rxvt or x-terminal-emulator in addition to xterm, but not very
    well.
  * Fix location of mailing list.
  * Standards-Version 3.6.1; no changes needed.

 -- Carey Evans <careye@spamcop.net>  Sun, 12 Oct 2003 16:16:58 +1300

tn5250 (0.16.5-6) unstable; urgency=low

  * Standards-Version 3.6.0; no changes needed.
  * Update menu entry: new icon, long title, hint, and dependency on xterm.

 -- Carey Evans <careye@spamcop.net>  Wed, 23 Jul 2003 21:07:05 +1200

tn5250 (0.16.5-5) unstable; urgency=low

  * Replace hard link from tic in /usr/share/terminfo with a symlink.
  * Fix typo in debian/copyright.
  * Use full path to tic in debian/rules.
  * Standards-Version 3.5.10; no changes needed.
  * Regenerate aclocal.m4 and configure again with libtool 1.4.3-9 to 
    get the fix for libtool bug #191133.
  * Fix multi-line string literal in src/tn5250.c.

 -- Carey Evans <careye@spamcop.net>  Thu, 29 May 2003 19:41:13 +1200

tn5250 (0.16.5-4) unstable; urgency=low

  * Regenerate aclocal.m4, configure and ltmain.sh for libtool on MIPS
    (closes: #188685).
  * Really fix Meta/Alt keys with *eightBitInput: false instead of true.
  * Add more keyboard mappings for xt5250.
  * Recommend instead of suggesting xterm.  It's more likely now that
    people will have Gnome or KDE installed without xterm, but I still
    want the package installable without X, without creating a package
    containing just the xt5250 shell script.

 -- Carey Evans <careye@spamcop.net>  Tue, 29 Apr 2003 10:03:54 +1200

tn5250 (0.16.5-3) unstable; urgency=low

  * Remove non-compliant icon from menu entry.
  * Use DEB_BUILD_OPTIONS variable.
  * Install and use shared libraries in /usr/lib/tn5250/.

 -- Carey Evans <careye@spamcop.net>  Thu,  3 Apr 2003 21:25:47 +1200

tn5250 (0.16.5-2) unstable; urgency=low

  * Fix Meta/Alt keys by setting *eightBitInput: true.
  * Use debhelper compatibility level 4.
  * Always use the latest config.guess and config.sub from autotools-dev 
    at build time.

 -- Carey Evans <careye@spamcop.net>  Thu, 27 Mar 2003 20:37:02 +1200

tn5250 (0.16.5-1) unstable; urgency=low

  * New upstream version.

 -- Carey Evans <careye@spamcop.net>  Fri,  6 Sep 2002 23:11:02 +1200

tn5250 (0.16.4-1) unstable; urgency=low

  * New upstream (closes: #149932).

 -- Carey Evans <careye@spamcop.net>  Mon, 17 Jun 2002 20:51:52 +1200

tn5250 (0.16.2-2) unstable; urgency=low

  * Add "xt5250" symlink to tn5250 man page.
  * Add new scs2ps.1 man page, with changes to lp5250d.1 to refer to it.
  * Set sysconfdir to /etc, not /usr/etc.
  * Change xt5250 back to 0.16.1-4 with minor changes, to include fixes
    that didn't make it into 0.16.2 upstream.
  * Updates rules file to debhelper 3.

 -- Carey Evans <carey@debian.org>  Thu, 30 Aug 2001 21:26:32 +1200

tn5250 (0.16.2-1) unstable; urgency=low

  * New upstream version with many bugs fixed, including the remaining
    changes from 0.16.1-2.

 -- Carey Evans <carey@debian.org>  Thu, 30 Aug 2001 00:19:26 +1200

tn5250 (0.16.1-4) unstable; urgency=low

  * Add dependency on ncurses-base 5.2, for complete xterm terminfo
    description.  Only 5.2 or higher defines all the keys needed for
    tn5250 running in an xterm.
  * Remove xterm-5250 terminfo source.
  * Revert scs2pdf man page, since it doesn't make it into the package.
  * Use much simplified XTerm Xresources file with xt5250, since Debian
    ncurses and xterm packages both work properly.
  * Update xt5250 script to not set $TERM via the xterm -tn option.


