=== debian/control ===
Source: tn5250
Section: net
Priority: extra
Maintainer: Carey Evans <carey@debian.org>
Standards-Version: 3.8.3
Build-Depends: libncurses5-dev, ncurses-base (>= 5.0-5), ncurses-bin (>= 5.0), debhelper (>= 7), libssl-dev (>= 0.9.6), autotools-dev, cdbs
Homepage: http://tn5250.sourceforge.net/

Package: tn5250
Architecture: any
Depends: ncurses-base (>= 5.2-1), ${shlibs:Depends}, ${misc:Depends}
Conflicts: menu (<< 2.1.8)
Recommends: xterm | x-terminal-emulator, dialog | whiptail
Description: 5250 telnet emulator for accessing an IBM iSeries (AS/400)
 tn5250 connects to an IBM iSeries (AS/400) running i5/OS and
 emulates a 5250-compatible "green screen" terminal, or a printer
 using SCS or Host Print Transform.  It runs on the Linux console, in
 an xterm, or on any other character terminal.
 .
 To run in a window, the xt5250 script works best with xterm, but can
 use any other program providing the x-terminal-emulator interface.
