=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_EXTRA_FLAGS = --libdir=/usr/lib/tn5250 --disable-static
DEB_INSTALL_DOCS_tn5250 = ./README.ssl
DEB_SHLIBDEPS_INCLUDE = $(DEB_DESTDIR)/usr/lib/tn5250
DEB_DH_MAKESHLIBS_ARGS = -Xlib5250

# Clean up unwanted development files and create symlinked terminfo file.
binary-post-install/tn5250::
	$(RM) -r $(DEB_DESTDIR)/usr/lib/tn5250/*.la \
		$(DEB_DESTDIR)/usr/lib/tn5250/*.so \
		$(DEB_DESTDIR)/usr/lib/tn5250/pkgconfig \
		$(DEB_DESTDIR)/usr/include $(DEB_DESTDIR)/usr/man \
		$(DEB_DESTDIR)/usr/share/aclocal \
		$(DEB_DESTDIR)/usr/share/terminfo \
		$(DEB_DESTDIR)/usr/bin/5250keys \
		$(DEB_DESTDIR)/usr/bin/tn5250-config \
		$(DEB_DESTDIR)/usr/bin/tn5250d \
		$(DEB_DESTDIR)/usr/bin/tn3270d
	tic -o$(DEB_DESTDIR)/usr/share/terminfo debian/linux-5250.terminfo
	ln -sf ../5/5250 $(DEB_DESTDIR)/usr/share/terminfo/l/linux-5250
