=== debian/watch ===
version=3
http://sf.net/tn5250/tn5250-(\d+(?:\.\d+)+)\.tar\.gz?
