## tn5250 0.17.4-2maemo0

=== debian/changelog ===
tn5250 (0.17.4-2maemo0) unstable; urgency=low

  * Give it a try (1st Maemo port) ...

 -- COLIN Stephane <colin.stephane@ovi.com>  Mon, 15 Jul 2013 10:10:08 +0200
